Update PlanGroupLink - m3ter Documentation

Update PlanGroupLink

cURL

curl --request PUT \
  --url https://api.m3ter.com/organizations/{orgId}/plangrouplinks/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '\n{\n  "planGroupId": "<string>",\n  "planId": "<string>",\n  "version": 123\n}\n'```

### Python

```python
import requests

url = "https://api.m3ter.com/organizations/{orgId}/plangrouplinks/{id}"

payload = {
    "planGroupId": "<string>",
    "planId": "<string>",
    "version": 123
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch API)

const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({planGroupId: '<string>', planId: '<string>', version: 123})
};

fetch('https://api.m3ter.com/organizations/{orgId}/plangrouplinks/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




HTTP Response Codes

Response Schema

{
  "id": "<string>",
  "version": 123,
  "planGroupId": "<string>",
  "planId": "<string>",
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>"
}
{
  "message": "<string>"
}
{
  "message": "<string>"
}

Authorizations

Path Parameters

Body

Response Details